Package org.apache.sling.testing.mock.osgi.config

# Class ConfigTypeStrictnessViolation

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.apache.sling.testing.mock.osgi.config.ConfigTypeStrictnessViolation

All Implemented Interfaces:
  `Serializable`

public class ConfigTypeStrictnessViolation extends RuntimeException
Specific exception type thrown when a `ConfigType` annotation is resolved which has `ConfigType.lenient()` set to `true`, which fails to meet the documented assertion rules.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`ConfigTypeStrictnessViolation(String message)`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ConfigTypeStrictnessViolation

public ConfigTypeStrictnessViolation(String message)